﻿/*=================================
        Responsive
==================================*/

@media (max-width:992px) {

    .hero {
        flex-direction: column-reverse;
        text-align: center;
        gap: 40px;
        padding: 60px 20px;
    }

    .hero-content,
    .hero-image {
        width: 100%;
    }

        .hero-content h1 {
            font-size: 42px;
        }

    .services-grid,
    .why-grid,
    .brands-grid {
        grid-template-columns: repeat(2,1fr);
    }
}

@media (max-width:768px) {

    .top-header {
        display: none;
    }

    .site-header,
    .header {
        position: sticky;
        top: 0;
        z-index: 999;
    }

        .site-header .container,
        .header .container {
            position: relative;
            flex-direction: column;
            align-items: center;
            padding: 20px;
            height: auto;
        }

    .logo {
        text-align: center;
    }

        .logo h2 {
            font-size: 42px;
        }

        .logo span {
            font-size: 18px;
        }

    .menu-toggle {
        display: block;
        font-size: 32px;
        cursor: pointer;
        color: #2d248d;
        margin-top: 15px;
    }

    .nav-menu,
    .menu {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        display: none;
        flex-direction: column;
        align-items: center;
        gap: 18px;
        background: #fff;
        padding: 25px 0;
        box-shadow: 0 10px 25px rgba(0,0,0,.08);
        z-index: 999;
    }

        .nav-menu.show,
        .menu.show {
            display: flex;
        }

        .nav-menu a,
        .menu a {
            font-size: 18px;
            padding: 10px 0;
        }

    .hero-content h1 {
        font-size: 36px;
    }

    .hero-content p {
        font-size: 18px;
    }

    .hero-buttons {
        justify-content: center;
        flex-wrap: wrap;
    }

    .btn-primary,
    .btn-whatsapp {
        width: 180px;
        text-align: center;
    }

    .services-grid,
    .why-grid,
    .brands-grid,
    .contact-wrapper,
    .footer-grid,
    .stats-grid,
    .service-wrapper,
    .about-content {
        grid-template-columns: 1fr;
        flex-direction: column;
    }

    .service-sidebar {
        position: static;
        margin-top: 30px;
    }

    .footer {
        text-align: center;
    }
}
